Package ru.bitel.oss.systems.inventory.resource.server.bean

# Class IpResourceDynSubscriptionDao

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.common.dao.AbstarctDaoConstant
ru.bitel.oss.systems.inventory.resource.server.bean.IpResourceDynSubscriptionDao

public class IpResourceDynSubscriptionDao extends ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `con, ERROR, fields, moduleId, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE, tableName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IpResourceDynSubscriptionDao(Connection con, int moduleId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `checkTables(Connection con, int moduleId)`
  `long`
  `free(int ipResourceId, long connectionId, byte[] address, Date timeTo, int subscriberType, int subscriberId)`
  `List<IpResourceSubscriptionRuntime>`
  `listRuntime(int ipResourceId)`
  `long`
  `occupie(int ipResourceId, long connectionId, byte[] address, Date timeFrom, int subscriberType, int subscriberId, String subscriberTitle)`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `getPeriod, getSQLOrder, getTableName, psSetDate, psSetInt, psSetString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### IpResourceDynSubscriptionDao

    public IpResourceDynSubscriptionDao(Connection con, int moduleId)

- ## Method Details

  - ### occupie

    public long occupie(int ipResourceId, long connectionId, byte[] address, Date timeFrom, int subscriberType, int subscriberId, String subscriberTitle) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### free

    public long free(int ipResourceId, long connectionId, byte[] address, Date timeTo, int subscriberType, int subscriberId) throws ru.bitel.bgbilling.common.BGException
    Parameters:
      `ipResourceId` -
      `address` -
      `timeTo` -
      `subscriberType` -
      `subscriberId` -
    Returns:
      subscriptionId
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### listRuntime

    public List<IpResourceSubscriptionRuntime> listRuntime(int ipResourceId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### checkTables

    public static void checkTables(Connection con, int moduleId)